/* File:    $Id: BatchUtilsTesterSuite.java 544 2008-11-19 16:59:25Z svc $
 * Version: $Revision: 544 $
 * Date:    $Date: 2008-11-19 17:59:25 +0100 (Wed, 19 Nov 2008) $
 * Author:  $Author: svc $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.common.utils.batch;

import dk.netarkivet.common.utils.batch.BatchFilterTester;
import dk.netarkivet.common.utils.batch.BatchLocalFilesTester;
import dk.netarkivet.common.utils.batch.ByteClassLoaderTester;
import dk.netarkivet.common.utils.batch.FileBatchJobTester;
import dk.netarkivet.common.utils.batch.LoadableFileBatchJobTester;
import dk.netarkivet.common.utils.batch.LoadableJarBatchJobTester;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * Suite of unittests for the classes in the 
 * dk.netarkivet.commons.utils.batch package.
 */
public class BatchUtilsTesterSuite {
    public static Test suite() {
        TestSuite suite;
        suite = new TestSuite("BatchUtilsTesterSuite");

        addToSuite(suite);

        return suite;
    }

    public static void addToSuite(TestSuite suite) {
        suite.addTestSuite(BatchFilterTester.class);
        suite.addTestSuite(BatchLocalFilesTester.class);
        suite.addTestSuite(ByteClassLoaderTester.class);
        suite.addTestSuite(FileBatchJobTester.class);
        suite.addTestSuite(LoadableFileBatchJobTester.class);
        suite.addTestSuite(LoadableJarBatchJobTester.class);
    }

    public static void main(String args[]) {
        String args2[] = { "-noloading",
                "dk.netarkivet.common.utils.batch.BatchUtilsTesterSuite" };
        TestRunner.main(args2);
    }
}
